Summary: qpsmtpd plugins from www.openfusion.com
%define name qpsmtpd-plugins
Name: %{name}
%define version 0.0.1
%define release sme05
Version: %{version}
Release: %{release}
License: qpsmtpd
Group: Networking/Daemons
%define oname qpsmtpd-plugins-openfusion
%define oversion 20050429
Source0:  http://www.openfusion.com.au/labs/qpsmtpd/%{oname}-%{oversion}.tar.gz
Packager: Gordon Rowell <gordonr@gormand.com.au>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: perl 
Obsoletes: qpsmtpd-plugins-openfusion
Requires: qpsmtpd >= 0.31
BuildArchitectures: noarch
AutoReqProv: no

%description
A package containing qpsmtpd plugins.

Included in this version is a set of qpsmtpd plugins from Gavin Carr
of OpenFusion:
        http://www.openfusion.com.au/labs/qpsmtpd/

%changelog
* Wed Jan 4 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-sme05
- Bump version number only for rebuild

* Mon Aug 29 2005 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-sme04
- Updated qpsmtpd requires to 0.31
- Move plugins to /usr/share/qpsmtpd/plugins in line with Peter Holtzer's
  qpsmtpd RPMs

* Mon Aug 15 2005 Charlie Brady <charlieb@e-smith.com> 0.0.1-sme03
- Rename to generic qpsmtpd-plugins (although currently only contains
  plugins sourced from openfusion).

* Fri Apr 29 2005 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-sme02
- Removed denysoft_greylist - it's in 0.29 - thanks Gavin

* Fri Apr 29 2005 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-sme01
- Initial packaging 
- Plugins in /usr/lib/qpsmtpd/plugins

%prep
%setup -n %{oname}-%{oversion}

%build
mkdir -p root/usr/share/qpsmtpd
mkdir -p root/usr/bin

mv plugins config.sample root/usr/share/qpsmtpd

%postun

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod > %{name}-%{version}-%{release}-filelist

echo "%doc LICENSE" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
